package cn.fw.hermes.dao.mapper;

import cn.fw.hermes.domain.db.ChatRecord;
import cn.fw.hermes.sdk.api.result.ChatUserDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author: Chenery
 * @Date: 2021/2/20 17:08
 */
@Repository
public interface ChatRecordMapper extends BaseMapper<ChatRecord> {

    /**
     * 查询某段时间内某些用户类型聊天次数
     *
     * 匹配方式 ： identifierCode是消息发送人或接收人都为一条单独记录并筛选大于chatCount的结果
     * @param chatCount 单聊次数
     * @param userTypes 用户类别
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    List<ChatUserDto> queryNumberOfChat(@Param("chatCount") Integer chatCount,
            @Param("userTypes") List<Integer> userTypes,
            @Param("startTime") Date startTime,
            @Param("endTime") Date endTime);
}
