package cn.fw.hermes;

import cn.fw.security.auth.client.EnableAuthClient;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 启动类
 *
 * @author kurisu
 * @create 2021-01-26
 */
@EnableTransactionManagement
@EnableCaching
@EnableAuthClient
@EnableScheduling
@EnableDiscoveryClient
@EnableAutoConfiguration
@Configuration
@EnableRedisRepositories
@MapperScan("cn.fw.**.mapper")
@ComponentScan("cn.fw.hermes.*")
@EnableFeignClients({"cn.fw.**.sdk"})
public class HermesServer {
    public static void main(String[] args) {
        SpringApplication.run(HermesServer.class, args);
    }
}
