package cn.fw.hermes.service.data.impl;

import cn.fw.hermes.dao.mapper.MessageBusinessTypeMapper;
import cn.fw.hermes.domain.db.MessageBusinessType;
import cn.fw.hermes.service.data.MessageBusinessTypeService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: Chenery
 * @Date: 2021/2/3 11:21
 */
@Service
public class MessageBusinessTypeServiceImpl extends
    ServiceImpl<MessageBusinessTypeMapper, MessageBusinessType> implements
    MessageBusinessTypeService {

  @Override
  @Transactional(rollbackFor = Exception.class)
  public Boolean insert(MessageBusinessType messageBusinessType) {
    return this.save(messageBusinessType);
  }

  @Override
  @Transactional(rollbackFor = Exception.class)
  public Boolean delete(String messageBusinessTypeName) {
    return this.remove(Wrappers.<MessageBusinessType>lambdaQuery()
        .eq(MessageBusinessType::getType, messageBusinessTypeName)
        .last("limit 1")
    );

  }

  @Override
  public List<MessageBusinessType> queryAllMessageType() {
    return this.list();
  }
}
